#include <bits/stdc++.h>
using namespace std;

int main(){
    int broj;
    cin>>broj;
    int pera;
    cin>>pera;
    int h;
    for(int i=0;i<broj;i++){
        cin>>h;
        if(h<=pera){
            cout<<i+1;
            return 0;
        }
    }
    cout<<-1;
}